#
# spec file for package schemes (Version 0.5.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         schemes
Summary:      Laptop scheme management
Version:      0.5.4
Release:      88
Copyright:    GPL
Group:        Utilities/System
Source:       schemes-%{version}.tar.gz
Patch:        schemes-%{version}.dif
%define perl_version %(ls /usr/lib/perl5 | grep 5)

%description
The scheme management allows you to handle different configurations
for your computer. A single configuration can be activated when needed.
Basically the scheme management is made for the needs of mobile computers.
The tool is under development and supports, therefore, only the configuration
of network, mail, X, printer, and changing hardware (in docking units), but
it is full functional.
We are interested for your needs in this area. If you have suggestions or
bug reports, please contact zoz@suse.de.

Authors:
--------
    Andreas Wuest <and@suse.de>

SuSE series: ap

%prep
%setup -n schemes-%{version}
%patch

%build

%install
install -m 755 -o root -g root scheme_install /sbin/scheme_install
install -m 755 -o root -g root scheme /bin/scheme
install -m 755 -o root -g root schemeswitch /sbin/schemeswitch
install -m 755 -o root -g root schemecopy /sbin/schemecopy
install -m 755 -o root -g root schemecopy.bin /sbin/schemecopy.bin
ln -s schemecopy /sbin/schemeadd
install -m 755 -o root -g root schememodify /sbin/schememodify
install -m 755 -o root -g root schemelist /bin/schemelist
install -m 755 -o root -g root schemedel /sbin/schemedel
install -m 755 -o root -g root schemereload /sbin/schemereload
install -m 755 -o root -g root scheme_uninstall /sbin/scheme_uninstall
install -m 755 -o root -g root schemechange /sbin/schemechange
install -m 755 -o root -g root check_scheme_config /sbin/check_scheme_config
install -m 755 -o root -g root check_journal /sbin/check_journal
install -m 755 -o root -g root scheme_config_apply_all /sbin/scheme_config_apply_all
install -m 755 -o root -g root scheme_dep /sbin/scheme_dep
install -m 755 -o root -g root mkicons /bin/mkicons
install -m 755 -o root -g root ss /bin/ss
install -m 744 -o root -g root boot.scheme /etc/init.d/schemes
install -m 744 -o root -g root SuSEconfig.schemes /sbin/conf.d/SuSEconfig.schemes
install -m 444 -o root -g root Scheme_lib.pm /usr/lib/perl5/%{perl_version}/Scheme_lib.pm
install -m 444 -o root -g root RC.pm /usr/lib/perl5/%{perl_version}/RC.pm
install -m 444 -o root -g root PCMCIA.pm /usr/lib/perl5/%{perl_version}/PCMCIA.pm
install -m 666 -o root -g root schemeswitch.jrnl /var/log/schemeswitch.jrnl
mkdir -p /etc/schemes/
install -m 444 -o root -g root network.opts.template /etc/schemes/network.opts.template
install -m 444 -o root -g root ide.opts.template /etc/schemes/ide.opts.template
install -m 444 -o root -g root scsi.opts.template /etc/schemes/scsi.opts.template
install -m 644 -o root -g root scheme.rc /etc/schemes/scheme.rc
install -m 644 -o root -g root template.kdelnk /etc/schemes/template.kdelnk
install -m 744 -o root -g root sh.template /etc/schemes/sh.template
mkdir -p %{_defaultdocdir}/schemes
install -m 444 -o root -g root CHANGES %{_defaultdocdir}/schemes/CHANGES
install -m 444 -o root -g root html/index.html %{_defaultdocdir}/schemes/index.html
install -m 444 -o root -g root html/about.html %{_defaultdocdir}/schemes/about.html
install -m 444 -o root -g root html/commands.html %{_defaultdocdir}/schemes/commands.html
install -m 444 -o root -g root html/examples.html %{_defaultdocdir}/schemes/examples.html
install -m 444 -o root -g root html/files.html %{_defaultdocdir}/schemes/files.html
install -m 444 -o root -g root html/logging.html %{_defaultdocdir}/schemes/logging.html
install -m 444 -o root -g root html/problems.html %{_defaultdocdir}/schemes/problems.html
install -m 444 -o root -g root html/run.html %{_defaultdocdir}/schemes/run.html
install -m 444 -o root -g root html/schemerc.html %{_defaultdocdir}/schemes/schemerc.html
install -m 444 -o root -g root html/script.html %{_defaultdocdir}/schemes/script.html
install -m 444 -o root -g root html/special.html %{_defaultdocdir}/schemes/special.html
install -m 444 -o root -g root html/network.jpg %{_defaultdocdir}/schemes/network.jpg
install -m 444 -o root -g root README.de %{_defaultdocdir}/schemes/README.de
install -m 444 -o root -g root README.en %{_defaultdocdir}/schemes/README.en

%post
sbin/insserv etc/init.d/schemes

%postun
sbin/insserv etc/init.d/

%files
/etc/init.d/schemes
/sbin/conf.d/SuSEconfig.schemes
/sbin/scheme_install 
/sbin/schemereload
/bin/scheme 
/sbin/schemeswitch
/sbin/schemecopy 
/sbin/schemecopy.bin
/sbin/schemeadd 
/sbin/schememodify 
/bin/schemelist 
/sbin/schemedel
/sbin/scheme_uninstall
/sbin/schemechange
/sbin/scheme_dep
/sbin/check_scheme_config
/sbin/check_journal
/sbin/scheme_config_apply_all
/bin/mkicons
/bin/ss
/usr/lib/perl5/%{perl_version}/Scheme_lib.pm
/usr/lib/perl5/%{perl_version}/RC.pm
/usr/lib/perl5/%{perl_version}/PCMCIA.pm
%{_defaultdocdir}/schemes/CHANGES
%{_defaultdocdir}/schemes/about.html
%{_defaultdocdir}/schemes/commands.html
%{_defaultdocdir}/schemes/examples.html
%{_defaultdocdir}/schemes/files.html
%{_defaultdocdir}/schemes/index.html
%{_defaultdocdir}/schemes/logging.html
%{_defaultdocdir}/schemes/network.jpg
%{_defaultdocdir}/schemes/problems.html
%{_defaultdocdir}/schemes/run.html
%{_defaultdocdir}/schemes/schemerc.html
%{_defaultdocdir}/schemes/script.html
%{_defaultdocdir}/schemes/special.html
%{_defaultdocdir}/schemes/README.en
%{_defaultdocdir}/schemes/README.de
%dir /etc/schemes
/etc/schemes/scheme.rc
/etc/schemes/network.opts.template
/etc/schemes/ide.opts.template
/etc/schemes/scsi.opts.template
/etc/schemes/template.kdelnk
/etc/schemes/sh.template
/var/log/schemeswitch.jrnl 

%changelog -n schemes
* Fri Sep 21 2001 - jg@suse.de
- removed /etc/XF86Config from scheme.rc due to naming conflict
  with /etc/X11/XF86Config
* Thu Aug 30 2001 - jg@suse.de
- aded /etc/X11/XF86Config to scheme.rc
* Tue Aug 21 2001 - jg@suse.de
- made schemeadd an alias for 'schemecopy default' to work
  around the /etc/pcmcia/*.opts bug
* Tue Apr 24 2001 - jg@suse.de
- added domain name setup to boot script [#5734]
* Wed Apr 04 2001 - jg@suse.de
- deleted some obsolete variables from scheme.rc
- added workaround to make dhcpclient and network services
  be started/stopped/restarted
- wrong path name in boot.scheme fixed
* Sun Dec 03 2000 - zoz@suse.de
- changed boot script and moved it to /etc/init.d
* Fri Jun 30 2000 - and@suse.de
- Changes from 0.5.2 to 0.5.3
- remove the SuSEconfig.pcmcia script from the package. The updated
  skript is now part of the pcmcia package
- removed the THINPAD (TPCTL) stuff from the schemeswitch script.
- updated documentation.
- all rc.config stuff is now handled in the RC.pm perl module.
- removed the %%post stuff from the spec file
- added a S99schemes_boot script
  Changes from 0.5.1 to 0.5.2
- added SuSEconfig.schemes which takes care of added packages. So far it
  will only add entries to the rc.config files of the other schemes, if
  the installed package has a service (rc - command)
- updated, added scheme.rc file
- added a "use strict;" to each perl script and added a "my" to variables
  where neede
- fixed a bug when checking the filename for existence
- documentation updates.
- renamed check_scheme_log to check_journal
- now the /var/log/schemeswitch.jrnl file is used to restore a scheme
- updated (enhanced) the check_journal script
- added a journal function to Scheme_lib.pm that writes the journal file.
- fixed a bug that deleted all PCMCIA .opts config files when deleting a
  scheme
- updated the logging part of the documentation.
  Changes from 0.5.0 to 0.5.1
- complete dokumentation is now htmlized.
- removed ascii dokumentation from the rpm
- apsfilterrc.XXXX files will now be handled properly, too.
- fixed a bug concering changed variables. A service was restarted,
  if a dependent variable has been changed, even though the service
  was set to no, or not to start.
- fixed some problems when using a docking unit, new problems arose.
- some documentation updates.
  Changes from 0.4.8 to 0.5.0
- added updated SuSEconfig.pcmcia. The new script will update only
  the currently active pcmcia scheme and not the scheme SuSE.
- added a ss script that basically does the same thing as schemeswitch
  it only does a su before running the schemeswitch script.
- fixed bug concerning sendmail. no new sendmail.cf was generated, even
  thought the configuration file sendmail.rc.config has changed.
  Same applies to ypclient (has been fixed, too).
- code cleanup.
- even more information is now written to the log file
- when answered the question whether to save changes or not the not
  the changed services were started/stopped no matter what the answer
  was.
- added new feature. for each script there is now a script that will
  be executed when starting/stopping a scheme. for more info take
  a look at the README.en.
- added usb.rc.config and apmd.rc.config to the list of configuration files
- added TIMEZONE, MODEM and MOUSE handling to schemeswitch. Up to now the
  rc variables were ignored. TIMEZONE will be set with zic, MODEM and MOUSE
  link will be set correctly by the schemeswitch script now.
  Changes from 0.4.7 to 0.4.8
- added a new perl Module RC.pm. This modules will handle everything that
  has to do with variables from the rc.config and its related files such
  aus sendmail.rc.config
- added a check_scheme_config script. Check if new configuration
  files (from the list of configuration files) exist.
- removed all touches from the spec-file.
- fixed a bug in the boot.scheme script. Wrong file was tested with -e
- schemeswitch will create a diff in order to check whether the
  /etc/modules.conf has changed or not. If it has not changed, depmod -a
  will not run (saves time when switching the scheme)
- updated the documentation
- added a first logging mechanism.
- added a check_scheme_log script that checks the log file
  Changes from 0.4.6 to 0.4.7
- renamed schemeinit to scheme_install and schemeremove to scheme_uninstall
- Schemeswitch icons on the KDE Desktop have been removed, now you have to
  call a script (mkicons) in order to create the icons.
- moved scheme and schemelist from /sbin to /bin
- disabled the THINKPAD Control Tool functions.
- added ntp.conf to the list of configuration files
- removed resolv.conf from the list of configuration files
- fixed starting order of services
- fixed bug in schemeswitch. THINKPAD CONTROL switch always the display
  if tpctl was available
- added a pid file. So it will be impossible to run two schemeswitch
  processes at the same time.
  Changes from 0.4.5 to 0.4.6
- added a "depmod -a" to the schemeswitch script, because an update
  of the module dependencies is needed if the modules.conf has changed.
- further documentation updated
  Changes from 0.4.4 to 0.4.5
- added a boot.scheme script which will be put in /sbin/init.d/
  /sbin/init.d/boot has to be modified (modified version is included)
  to make it run. So it is possible to change the scheme at the boot
  prompt :
  linux SCHEME=default
- updated spec file
- translated documentation to english
- fixed a bug in the initschemes script. cardctl will switch to scheme default,
  too
- for each scheme there will be created a icon on the KDE desktop,
  that allows you to switch the scheme by clicking on it.
- add PCMCIA configuration chapter to the documentation
- !! german documentation will not be updated !!
- autofs will be (re)started, if the ypclient is started. Not restarting
  autofs resulted in in mountable directories even though defined.
- enhanced spec file. boot.scheme section will only be attached to boot
  script if the section does not exist.
- fixed some reg exps in schemeswitch (non critical)
- added the scheme_dep script, that gives you dependencies for different
  rc variables and services
- reduced dependency check code in schemeswitch
- removed most of the S_* variables from Scheme_lib.pm
- renamed all the S_* variables in scheme.rc to their real name. Now
  they have the same name as they have in the rc.config file.
  Changes from 0.4.3 to 0.4.4
- added schemeremove command. The command removes all files created
  by the schemexxxxx commands. After running schemeremove you
  can call rpm -e schemes and the whole scheme package files will
  be removed properly.
- added /etc/fstab to the list of configuration files !!
  NIS, NFS stuff.
- fixed some grep regexps in check_nfs (in Scheme_lib.pm)
- added some lines of documentation
- added START_RUSERSD, START_RSTATD, START_IRDA to scheme.rc
  (since these variables do exist /etc/rc.config in 6.4)
  Changes form 0.4.2 to 0.4.3
- added support for NIS and AUTOFS. Filesystems are mounted and
  unmounted now properly.
- changed position of PCMCIA scheme change and Starting the services
  again ! reason : dhclient needs a working network interface,
  which is set up by the PCMCIA scheme
  Changes from 0.4.1 to 0.4.2
- added support for external monitors by using the tpctl tool.
  If you now configure a external monitor in a scheme the script
  will find it and turn off the lcd and turn on the monitor.
- replaced sed commands after md5 sums with cut -c-32, easier to read
- fixed a bug concerning the changing of schemes. Unnecessary daemon
  was not killed, it was killed and then restarted
  Changes from 0.4.0 to 0.4.1
- fixed a lot of dependencies in scheme.rc
- updated the Scheme_lib.pm
- delete now cron, dhclient, setupdummydev, smtp and nfs_server from
  hash list (variables should start with START_ but they do not) in
  schemeswitch.
